function [] = evolplot(v)
    plotrows=5;
    plotcols=2;
    plotind=0;
    height=200;
    width=300;
    fsize=14;
    figure('Position',[1 height*plotrows width*plotcols height*plotrows], ...
    'Name',v.name ...
    )
    title(strcat(v.name,' lin'));
    ptsty='.';
    dirname='ADAGE-plots';
    [out m mid]=mkdir(dirname);
    %put a layout of plots

    %v has N, GCCsize, GCC2size, Ncomponents, GCCeigens and eigens
    
    %N vs time
    plotind=plotind+1;
    subplot(plotrows,plotcols,plotind)
    semilogy(v.N,ptsty)
    title('log(N) over time','FontSize',fsize)
    xlabel('time')
    ylabel('nodes')
    
    %edges vs time
    plotind=plotind+1;
    subplot(plotrows,plotcols,plotind)
    semilogy(v.E,ptsty)
    title('log(E) over time','FontSize',fsize)
    xlabel('time')
    ylabel('nodes')
    
    %%%%%%%%DENSIFICATION LAW%%%%%%%%%%%%%%%%%
    
    %N edges vs N
    plotind=plotind+1;
    subplot(plotrows,plotcols,plotind)
    loglog(v.N,v.E,ptsty)
    title('Densification law: Edges vs Nodes','FontSize',fsize)
    xlabel('nodes')
    ylabel('edges')
        
    plotind=plotind+1
    
    %%%%%%%%EIGENVALUES %%%%%%%%%%%%%%
    %lambda1 vs N
    plotind=plotind+1;
    subplot(plotrows,plotcols,plotind)
    loglog(v.N,v.eigens(1,:),ptsty)
    title('Eigenvalues: \lambda_1 vs N','FontSize',fsize)
    xlabel('nodes')
    ylabel('\lambda_1')
    
    plotind=plotind+1
    
    %%%%%%%GCC %%%%%%%%%%%%%%%%%%%%%
    %GCCsize vs N
    plotind=plotind+1;
    subplot(plotrows,plotcols,plotind)
    plot(v.N,v.GCCsize,ptsty)
    title('Size of largest CC','FontSize',fsize)
    xlabel('nodes')
    ylabel('size of GCC')
    
    plotind=plotind+1;
    
    
    %%%%%Number CC%%%%%%%%%%%%%
    %N components vs N
    plotind=plotind+1;
    subplot(plotrows,plotcols,plotind)
    plot(v.N,v.Ncomponents,ptsty)
    title('Number of CC vs N','Fontsize',fsize)
    xlabel('nodes')
    ylabel('number of components')
    
    %N components vs time
    plotind=plotind+1;
    subplot(plotrows,plotcols,plotind)
    plot(v.Ncomponents,ptsty)
    title('Number of CC vs t','Fontsize',fsize)
    xlabel('time')
    ylabel('number of components')
    
    %%%%%PDF of CC-size %%%%%%%%
    
        
    set(gcf,'PaperPositionMode','auto')
    print(strcat(dirname,'/',v.name,'-laws','.ps'))
    print(strcat(dirname,'/',v.name,'-laws','.eps'))

    